{% extends 'base.html' %} {% load static %} {% block meta %}
<title>List Pasien</title>
{% endblock meta %} {% block content %}

<div class="container d-flex flex-row justify-content-center">
	<!-- Button trigger modal -->
	<button type="button" class="btn btn-primary me-3" data-bs-toggle="modal" data-bs-target="#exampleModal">
		Import dari Excel
	</button>
	
	<!-- Modal -->
	<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
			<h5 class="modal-title" id="exampleModalLabel">Masukan File Excel</h5>
			<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>

			<div class="modal-body">
				<form
				id="form"
				class="form-base"
				method="POST"
				enctype="multipart/form-data"
				action=""
			>
				{% csrf_token %}
				<div class="form-fields">
					{% for field in excel_upload_form %}
					<div class="field-wrapper">
						<div class="field-input">{{ field.label_tag }} {{ field }}</div>
						<div class="field-error">{{ field.errors }}</div>
						{% if field.help_text %}
						<p class="help">{{ field.help_text|safe }}</p>
						{% endif %}
					</div>
					{% endfor %}
				</div>

				<button type="button" class="btn btn-secondary mt-4" data-bs-dismiss="modal">
					Batal
				</button>
				<button type="submit" class="button btn btn-primary form-submit-button mt-4">
					Import
				</button>
			</form>
			</div>
		</div>
		</div>
	</div>

	<a type="button" class="btn btn-primary ms-3" href="{% url 'pasien:export' %}">Export ke Excel</a>
</div>

<div class="container mt-4" style="overflow-x: auto">	
	<table class="table table-light table-bordered table-striped rounded" id="myTable">
		<thead>
			<tr>
				<th>Update/Hapus</th>

				<!-- ["No medrek",	"Nama",	"Usia", "Jenis Kelamin","Tempat Lahir","Tanggal Lahir","Alamat","Status Pendidikan Pasien","Socioeconomi","Asuransi","Status Pendidikan Ayah","Status Pendidikan Ibu", "Lama Perawatan","BB/U", "PB/U", "LLA/U", "BB/PB", "Status Gizi", "Gejala Utama", "Gejala Penyerta", "Kontak TB", "PDD Test", "BTA", "TCM Kategori", "Hemoglobin", "Hematokrit", "Eritosit", "Trombosit", "Leukosit", "CRP", "Kultur Darah", "Procalcitonin", "Albumin", "ALT", "AST", "Bilirubin Total", "Bilirubin Direk", "Bilirubin Indirek","Jumlah Sel", "Protein", "PMN","MN","BTA","Gula","Gram","Kultur", "Hasil Foto Thorak", "Genexpert (TCM)","EKG","Hasil CT Scan", "Hasil Pemeriksaan Uji Kepekatan Obat", "Komplikasi", "Terapi OAT", "Obat yang Digunakan", "Keadaan Pasien Pasca Terapi", "ADIH", "Riwayat Pengobatan", "Diagnosis"] -->
				{% for name in header %}
				<th>{{ name }}</th>
				{% endfor %}
			</tr>
		</thead>

		<tbody>
			{% for pasien in pasien %}

			<tr>
				<td>
					<form
						method="POST"
						action="{% url 'pasien:delete_pasien' pasien.no %}"
					>
						<a
							class="btn btn-sm btn-primary"
							href="{% url 'pasien:edit_pasien' pasien.no %}"
							>Update</a
						>
						{% csrf_token %}
						<button
							name="submit"
							type="submit"
							class="btn btn-sm btn-danger mt-2"
							onclick="return confirm('Anda yakin ingin menghapus data pasien dengan nomor medrek {{pasien.pk}}?');"
						>
							Hapus
						</button>
					</form>
				</td>

				{% for name, value in pasien.get_fields %}
				<td>{{ value }}</td>
				{% endfor %}
			</tr>

			{% endfor %}
		</tbody>
	</table>
</div>
{% endblock content %} 

{% block script %}
<script>
	var table, rows, switching, i, x, y, shouldSwitch;
	table = document.getElementById("myTable");
	switching = true;
	/*Make a loop that will continue until
    no switching has been done:*/
	while (switching) {
		//start by saying: no switching is done:
		switching = false;
		rows = table.rows;
		/*Loop through all table rows (except the
        first, which contains table headers):*/
		for (i = 1; i < rows.length - 1; i++) {
			//start by saying there should be no switching:
			shouldSwitch = false;
			/*Get the two elements you want to compare,
            one from current row and one from the next:*/
			x = rows[i].getElementsByTagName("TD")[1];
			y = rows[i + 1].getElementsByTagName("TD")[1];
			//check if the two rows should switch place:
			if (Number(x.innerHTML) > Number(y.innerHTML)) {
				//if so, mark as a switch and break the loop:
				shouldSwitch = true;
				break;
			}
		}
		if (shouldSwitch) {
			/*If a switch has been marked, make the switch
        and mark that a switch has been done:*/
			rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
			switching = true;
		}
	}
</script>
{% endblock script %}
